Bug 249363 - [new port]: dns/knot3
Summary: [new port]: dns/knot3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://www.knot-dns.cz/2020-09-09-ve...
Keywords:
Depends on:
Blocks: 249364
  Show dependency treegraph
 
Reported: 2020-09-16 10:44 UTC by Leo Vandewoestijne
Modified: 2020-10-04 11:02 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
knot3 v. 3.0.0 (11.86 KB, text/plain)
2020-09-16 10:44 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2020-09-16 10:44:00 UTC
Created attachment 217998 [details]
knot3 v. 3.0.0

A new major relase of Knot DNS was released.
This shar will create dns/knot3

(tested with poudriere against 12.1/amd64)
Comment 1 Kurt Jaeger freebsd_committer 2020-10-04 10:18:02 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2020-10-04 10:18:20 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  4 10:18:02 UTC 2020
New revision: 551373
URL: https://svnweb.freebsd.org/changeset/ports/551373

Log:
  New port: dns/knot3

  Knot DNS is a high-performance authoritative-only DNS server which
  supports all key features of the domain name system including zone
  AXFR and IXFR, DDNS and DNSSEC.  Its key features:

   * Open source
   * High-performance, multi-threaded, and mostly lock-free
     implementation which scales well on SMPs
   * Object-oriented design
   * Support for all important DNS protocols:
     - Full and incremental zone transfers
     - EDNS0 and DNSSEC extensions, including NSEC3
     - NSID

  WWW: https://www.knot-dns.cz/

  PR:		249363
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company>
  Relnotes:	https://www.knot-dns.cz/2020-09-09-version-300.html

Changes:
  head/dns/Makefile
  head/dns/knot3/
  head/dns/knot3/Makefile
  head/dns/knot3/distinfo
  head/dns/knot3/files/
  head/dns/knot3/files/knot.in
  head/dns/knot3/files/pkg-message.in
  head/dns/knot3/pkg-descr
  head/dns/knot3/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-10-04 11:01:28 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  4 11:00:40 UTC 2020
New revision: 551378
URL: https://svnweb.freebsd.org/changeset/ports/551378

Log:
  dns/knot3: remove for repo-copy

  PR:		249363
  Reported by:	danfe

Changes:
  head/dns/knot3/
Comment 4 commit-hook freebsd_committer 2020-10-04 11:02:29 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  4 11:01:58 UTC 2020
New revision: 551379
URL: https://svnweb.freebsd.org/changeset/ports/551379

Log:
  dns/knot3: re-add using repocopy

  PR:		249363
  Reported by:	danfe

Changes:
  head/dns/knot3/
  head/dns/knot3/Makefile
  head/dns/knot3/distinfo
  head/dns/knot3/files/extrapatch-configure.ac
  head/dns/knot3/files/pkg-message.in
  head/dns/knot3/pkg-plist